RPCElement (Axis API)
Keywords: org.apache.axis.message.RPCElement class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCElement

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.MessageElement
              org.apache.axis.message.SOAPBodyElement
                  org.apache.axis.message.RPCElement

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, Node, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, SOAPBodyElement, SOAPElement

public class RPCElement
extends SOAPBodyElement

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected boolean` | `needDeser`

Fields inherited from class org.apache.axis.message.MessageElement
`_isRoot, context, encodingStyle, endEventIndex, fixupDeserializer, href, id, message, namespaces, qNameAttrs, recorder, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`_isDirty, attributes, children, document, name, namespaceURI, parent, prefix, textRep`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`RPCElement(java.lang.String methodName)`
`RPCElement(java.lang.String namespace, java.lang.String methodName, java.lang.Object[] args)`
`RPCElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context, OperationDesc[] operations)`

Method Summary
`void` | `addParam(RPCParam param)`
`void` | `deserialize()`
`java.lang.String` | `getMethodName()`
`OperationDesc[]` | `getOperations()`
`RPCParam` | `getParam(java.lang.String name)` This gets the FIRST param whose name matches.
`java.util.Vector` | `getParams()`
`protected void` | `outputImpl(SerializationContext context)` override point -output to a serialization context.
`void` | `setNeedDeser(boolean needDeser)`
`void` | `updateOperationsByName()`
`void` | `updateOperationsByQName()`

Methods inherited from class org.apache.axis.message.SOAPBodyElement
`setParentElement`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, childDeepCloned, cloneNode, cloning, detachAllChildren, equals, findElement, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributesEx, getAttributeValue, getAttributeValue, getChildElement, getChildElements, getChildElements, getChildElements, getChildren, getCompleteAttributes, getDeserializationContext, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getLength, getName, getNamespacePrefixes, getNamespaceURI, getObjectValue, getObjectValue, getOwnerDocument, getPrefix, getQName, getRealElement, getRecorder, getTagName, getType, getValue, getValueAsType, getValueAsType, getValueDOM, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, isRoot, item, output, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeContents, removeNamespaceDeclaration, setAllAttributes, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setQName, setRecorder, setType, setValue, toString`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, convertAttrSAXtoDOM, detachNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParent, getParentElement, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, initializeChildren, insertBefore, isDirty, isSupported, makeAttributesEditable, normalize, recycleNode, removeChild, replaceChild, reset, setDirty, setDirty, setNodeValue, setOwnerDocument, setParent, setPrefix`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Field Detail

### needDeser

    protected boolean needDeser

Constructor Detail

### RPCElement

    public RPCElement(java.lang.String namespace,
                      java.lang.String localName,
                      java.lang.String prefix,
                      org.xml.sax.Attributes attributes,
                      DeserializationContext context,
                      OperationDesc[] operations)
               throws AxisFault

### RPCElement

    public RPCElement(java.lang.String namespace,
                      java.lang.String methodName,
                      java.lang.Object[] args)

### RPCElement

    public RPCElement(java.lang.String methodName)

Method Detail

### updateOperationsByName

    public void updateOperationsByName()
                                throws AxisFault

  Throws:
    `AxisFault`

### updateOperationsByQName

    public void updateOperationsByQName()
                                 throws AxisFault

  Throws:
    `AxisFault`

### getOperations

    public OperationDesc[] getOperations()

### getMethodName

    public java.lang.String getMethodName()

### setNeedDeser

    public void setNeedDeser(boolean needDeser)

### deserialize

    public void deserialize()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getParam

    public RPCParam getParam(java.lang.String name)
                      throws org.xml.sax.SAXException

  This gets the FIRST param whose name matches. !!! Should it return more in the case of duplicates?

  Throws:
    `org.xml.sax.SAXException`

### getParams

    public java.util.Vector getParams()
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### addParam

    public void addParam(RPCParam param)

### outputImpl

    protected void outputImpl(SerializationContext context)
                       throws java.lang.Exception

  Description copied from class: `MessageElement`
  override point -output to a serialization context.

  Overrides:
    `outputImpl` in class `MessageElement`
  Parameters:
    `context` - destination.
  Throws:
    `java.lang.Exception` - if something went wrong.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.